#import <ObjXMPP/ObjXMPP.h>
#import <ObjFW/ObjFW.h>

#import "JubUI.h"
#import "JubConfig.h"

@interface JubChatClient : OFObject <XMPPConnectionDelegate, XMPPRosterDelegate>
{
	XMPPConnection *connection;
	XMPPRoster *roster;
	XMPPStreamManagement *streamManagement;
	XMPPContactManager *contactManager;
	XMPPPresence *presence;
	id<JubUI> ui;
}
@property (readonly) XMPPConnection *connection;
@property (readonly) XMPPRoster *roster;
@property (readonly) XMPPContactManager *contactManager;
@property (readonly) XMPPPresence *presence;
@property (assign) id<JubUI> ui;

- initWithConfig: (JubConfig*)config;
@end
