#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>
#include <gtk/gtk.h>

#import "JubChatClient.h"

@class JubGtkChatUI;

@interface JubGtkRosterUI: OFObject <XMPPContactManagerDelegate>
{
	GtkWidget *roster_window;
	GtkTreeStore *roster_model;
	GtkTreeModelFilter *roster_filter;
	GtkComboBox *presence_combo;
	gulong presence_combo_changed_handler_id;
	OFMapTable *groupMap;
	OFMutableDictionary *contactMap;
	OFMutableDictionary *chatMap;
	JubChatClient *client;
}

- initWithClient: (JubChatClient*)client;
- (JubGtkChatUI*)chatForJID: (XMPPJID*)jid;
-      (void)client: (JubChatClient*)client
  didChangePresence: (XMPPPresence*)presence;
@end
